package com.knauf.ejb.kuchen;
/**
 * Home interface for Enterprise Bean: KuchenSingle
 */
public interface KuchenSingleHome extends javax.ejb.EJBHome {
	/**
	 * Creates an instance from a key for Entity Bean: KuchenSingle
	 */
	public com.knauf.ejb.kuchen.KuchenSingle create()
		throws javax.ejb.CreateException, java.rmi.RemoteException;
	/**
	 * Finds an instance using a key for Entity Bean: KuchenSingle
	 */
	public com.knauf.ejb.kuchen.KuchenSingle findByPrimaryKey(
		java.lang.Integer primaryKey)
		throws javax.ejb.FinderException, java.rmi.RemoteException;
	public com.knauf.ejb.kuchen.KuchenSingle findByMaxId() throws javax.ejb.FinderException, java.rmi.RemoteException;
	public java.util.Collection findAll() throws javax.ejb.FinderException, java.rmi.RemoteException;
	/**Erzeugen eines Kuchen-Objekts, wobei der Name angegeben wird. Der Key automatisch
	 * erzeugt.
	 * @param str_Name Der Name des Kuchens.
	 * @return Immer NULL.
	 * @exception CreateException Fehler beim Erzeugen.
	 */
	public com.knauf.ejb.kuchen.KuchenSingle createByName(String str_Name)
		throws javax.ejb.CreateException, java.rmi.RemoteException;
}
